<app-navbar></app-navbar>
<div class="container-fluid">
    <div class="container mt-4">
        <div class="row mt-4">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Reunión</h5>
                        <form>
                            <div class="mb-3">
                                <label for="nombreReunion" class="form-label">Nombre</label>
                                <input type="text" class="form-control" name="nombreReunion" id="nombreReunion"
                                    [(ngModel)]="reunion.nombreReunion" required>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6 mt-4 mt-md-0">
                <div class="card" style="height: 100%;">
                    <div class="card-body">
                        <h5 class="card-title">Integrantes</h5>
                        <div class="mt-3">
                            <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="integrantesReunion"
                                [multiple]="true">
                                <ng-option *ngFor="let options of datosUsuario" [value]="options.idUsuario">
                                    <div class="option-content"
                                        title="{{options.nombreUsuario}} {{options.apellidoUsuario}}">
                                        <img [src]="'http://localhost:8080/imgs/usuarios/' + options.imagenUsuario"
                                            class="pfp" alt="{{options.nombreUsuario}}">
                                        <span>{{options.nombreUsuario}} {{options.apellidoUsuario}}</span>
                                    </div>
                                </ng-option>
                            </ng-select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h5 class="card-title mt-1">Estructura de la Reunión</h5>
                            </div>
                            <div class="col-md-6 d-flex justify-content-end">
                                <button class="btn btn-success" (click)="abrirNuevaPaginaModal()">Nueva página</button>
                            </div>
                            <table class="table table-borderless mt-2">
                                <thead>
                                    <tr>
                                        <th>Titulo</th>
                                        <th>Tipo</th>
                                        <th>Minutos</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let datos of paginas; let i = index">
                                        <td>{{datos.tituloPagina}}</td>
                                        <td>{{datos.tipoPagina}}</td>
                                        <td>{{datos.duracionPagina}}</td>
                                        <td><button class="btn" (click)="abrirEditarPagina(datos, i)">Editar</button>
                                            <button class="btn" (click)="eliminarPagina(i)">Eliminar</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-11 d-flex justify-content-end mt-4">
        <button class="btn btn-primary" (click)="editarReunion()">Editar Reunión</button>
    </div>
</div>

<!-- Nueva Página -->
<ng-template #agregarPaginaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevaPagina">
            <div class="modal-header">
                <h4 class="modal-title">Crear Página</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Titulo</label>
                    <input type="text" class="form-control" id="tituloReunion" name="tituloReunion" required
                        [(ngModel)]="paginasReunion.tituloPagina">
                </div>
                <div class="form-group">
                    <label>Tipo</label>
                    <select class="form-select" name="tipoPagina" aria-placeholder="Selecciona..."
                        [(ngModel)]="paginasReunion.tipoPagina" required>
                        <option value="Titulo">Título</option>
                        <option value="Rompehielos">Rompehielos</option>
                        <option value="Indicadores">Indicadores</option>
                        <option value="Metas">Rocas</option>
                        <option value="Asuntos">Asuntos</option>
                        <option value="Actividades">Actividades</option>
                        <option value="Problemas">Problemas</option>
                        <option value="Recomendacion">Recomendación de calificación</option>
                        <option value="Conclusion">Conclusión</option>
                        <option value="Externa">Página externa</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="paginasReunion.tipoPagina == 'Externa'">
                    <label>URL</label>
                    <input type="text" class="form-control" name="url" required="required"
                        [(ngModel)]="paginasReunion.urlExternaPagina">
                </div>
                <div class="form-group">
                    <label>Duración (minutos)</label>
                    <input type="number" class="form-control" name="duracionPagina" required="required"
                        [(ngModel)]="paginasReunion.duracionPagina">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarPagina()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>

<!-- Editar Página -->
<ng-template #editarPaginaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevaPagina">
            <div class="modal-header">
                <h4 class="modal-title">Editar Página</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label>Titulo</label>
                    <input type="text" class="form-control" id="tituloReunion" name="tituloReunion" required
                        [(ngModel)]="paginasReunionAct.tituloPagina">
                </div>
                <div class="form-group">
                    <label>Tipo</label>
                    <select class="form-select" name="tipoPagina" aria-placeholder="Selecciona..."
                        [(ngModel)]="paginasReunionAct.tipoPagina" required>
                        <option value="Titulo">Título</option>
                        <option value="Rompehielos">Rompehielos</option>
                        <option value="Indicadores">Indicadores</option>
                        <option value="Metas">Rocas</option>
                        <option value="Asuntos">Asuntos</option>
                        <option value="Actividades">Actividades</option>
                        <option value="Problemas">Problemas</option>
                        <option value="Recomendacion">Recomendación de calificación</option>
                        <option value="Conclusion">Conclusión</option>
                        <option value="Externa">Página externa</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="paginasReunionAct.tipoPagina == 'Externa'">
                    <label>URL</label>
                    <input type="text" class="form-control" name="url" required="required"
                        [(ngModel)]="paginasReunionAct.urlExternaPagina">
                </div>
                <div class="form-group">
                    <label>Duración (minutos)</label>
                    <input type="number" class="form-control" name="duracionPagina" required="required"
                        [(ngModel)]="paginasReunionAct.duracionPagina">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="actualizarPagina()">Editar</button>
            </div>
        </form>
    </div>
</ng-template>